Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## prea.recommender
Class UnitTest

    java.lang.Object
      prea.recommender.UnitTest

    public class UnitTest

extends java.lang.Object

A unit test module for user-defined custom recommenders.

Since:
  2012. 4. 20
Version:
  1.1
Author:
  Joonseok Lee

Field Summary
`private SparseMatrix` | `preservedRateMatrix`
`private SparseMatrix` | `preservedTestMatrix`
`private Recommender` | `targetRecommender`
`private SparseMatrix` | `usedRateMatrix`
`private SparseMatrix` | `usedTestMatrix`

Constructor Summary
`UnitTest(Recommender r, SparseMatrix rm, SparseMatrix tm)` Construct an instance of unit test module.

Method Summary
`void` | `check()` Verify whether the recommender implemented correctly. 1) Check whether the recommender illegally alters train data. 2) Check whether the recommender illegally alters test data. 3) Compare to several baselines, which should beat in general.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### usedRateMatrix

    private SparseMatrix usedRateMatrix

### usedTestMatrix

    private SparseMatrix usedTestMatrix

### preservedRateMatrix

    private SparseMatrix preservedRateMatrix

### preservedTestMatrix

    private SparseMatrix preservedTestMatrix

### targetRecommender

    private Recommender targetRecommender

Constructor Detail

### UnitTest

    public UnitTest(Recommender r,
                    SparseMatrix rm,
                    SparseMatrix tm)

  Construct an instance of unit test module.

  Parameters:
    `r` - The recommender to be tested.
    `rm` - The rating matrix with train data.
    `tm` - The rating matrix with test data.

Method Detail

### check

    public void check()

  Verify whether the recommender implemented correctly. 1) Check whether the recommender illegally alters train data. 2) Check whether the recommender illegally alters test data. 3) Compare to several baselines, which should beat in general.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD